CppUnit project page | FAQ

Private Member Functions | List of all members
ConcretTestFixtureFactory< TestFixtureType > Class Template Reference

Concret TestFixture factory (Implementation). More...

`#include <TestFixtureFactory.h>`

Inheritance diagram for ConcretTestFixtureFactory< TestFixtureType >:
[legend]
Collaboration diagram for ConcretTestFixtureFactory< TestFixtureType >:
[legend]

## Private Member Functions
TestFixture * | makeFixture ()
| Returns a new TestFixture instance.

## Detailed Description

template<class TestFixtureType>
class ConcretTestFixtureFactory< TestFixtureType >

Concret TestFixture factory (Implementation).

Implementation detail. Use by HelperMacros to handle TestFixture hierarchy.

## Member Function Documentation

## ◆ makeFixture()

template<class TestFixtureType >

TestFixture * ConcretTestFixtureFactory< TestFixtureType >::makeFixture | ( |  | ) |
| inline private

Returns a new TestFixture instance.

Returns
  A new fixture instance. The fixture instance is returned by the TestFixtureFactory passed on construction. The actual type is that of the fixture on which the static method suite() was called.

The documentation for this class was generated from the following file:

- TestFixtureFactory.h

| Send comments to: CppUnit Developers